Index: /extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl	(revision 4956)
+++ /extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl	(revision 4957)
@@ -70,5 +70,5 @@
 <p>
   <input class="submit" type="submit" value="{'Delete_selected'|@translate}" name="Del_Selected" >
-  <input class="submit" type="submit" value="{'Reminder_Email'|@translate}" name="Reminder_Email" >
+  <input class="submit" type="submit" value="{'Reminder'|@translate}" name="Reminder_Email" >
 </p>
   </fieldset>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/index.php	(revision 4957)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/index.php	(revision 4957)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 4957)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 4957)
@@ -0,0 +1,135 @@
+<?php
+global $lang;
+
+$lang['UAM_restricTitle'] = 'Restrictions for registrations';
+$lang['UAM_restricTitle_d'] = '
+- Case sensitivity<br>
+- Characters exclusion<br>
+- Password enforcement<br>
+- Email domains exclusion<br>
+...
+';
+$lang['UAM_confirmTitle'] = 'Confirmations and validations of registration';
+$lang['UAM_confirmTitle_d'] = '
+- Information email generation<br>
+- Register validation email generation<br>
+- Groups or status auto joining<br>
+- Deadline for registration validation<br>
+- Reminder email generation<br>
+...
+';
+$lang['UAM_miscTitle'] = 'Registration followed and other options';
+$lang['UAM_miscTitle_d'] = '
+- Ghost users management<br>
+- Followed registered users<br>
+- Nickname mandatory for guests comments<br>
+...
+';
+$lang['UAM_casenTitle'] = 'Usernames: Case sensitivity';
+$lang['UAM_casenTitle_d'] = 'By default, Piwigo is insensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
+Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
+<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
+$lang['UAM_carexcTitle'] = 'Usernames: Exclusion of characters';
+$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse logins containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
+NB: The option can also exclude whole words.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
+$lang['UAM_passwTitle'] = 'Strengthening the security level of passwords';
+$lang['UAM_passwTitle_d'] = 'Enabling this option makes mandatory the seizure of a password upon registration, and requires the password chosen by the visitor to meet a minimum level of complexity. If the threshold is not reached, the score achieved and the minimum score to be achieved are displayed, along with recommendations to increase the value of this score.<br><br>
+There is field test to measure the complexity of a password, and can afford to get an idea of the score to define complex custom.<br><br>
+Note: The score of a password is calculated based on several parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). A score below 100 is considered low, from 100 to 500, the complexity is average; beyond 500, the security is excellent.';
+$lang['UAM_passwtestTitle'] = 'Testing the complexity of a password';
+$lang['UAM_passwtestTitle_d'] = 'Enter the password to test and then click on &quot;Score calculation&quot; to see the result.';
+$lang['UAM_passwadmTitle'] = 'Applying to administrators';
+$lang['UAM_passwadmTitle_d'] = 'An administrator can create a user account with or without application of the rule of computing complexity.<br><br>
+Note: If the user account created wants to change password and strengthening passwords for users is active, it will be subject to the rule set.';
+$lang['UAM_mailexcTitle'] = 'Exclusion of mail domains';
+$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
+Examples :<br>
+@hotmail.com -> excluding addresses *@ hotmail.com<br>
+@hotmail -> excluding all addresses *@hotmail*';
+$lang['UAM_infomailTitle'] = 'Information email to user';
+$lang['UAM_infomailTitle_d'] = 'This option allows to automate sending an information email to a user when registering or when changes his password or email address in their profile.<br><br>
+The content of the message sent is composed of a customizable part to introduce a little welcome note and a fixed part indicating the login, password and email address of the user.';
+$lang['UAM_infotxtTitle'] = 'Customizing the information email';
+$lang['UAM_infotxtTitle_d'] = 'Enter the introductory text that you want to appear in the information email.<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
+<b style=&quot;color: red;&quot;>Text modifying is available only if the &quot;Information email&quot; is enabled.</b>';
+$lang['UAM_confirmmailTitle'] = 'Confirmation of registration';
+$lang['UAM_confirmmailTitle_d'] = 'This option allows to require a user to validate their registration by clicking on a link received in an email sent at the time of registration.<br><br>
+The e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
+This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group;
+';
+$lang['UAM_confirmtxtTitle'] = 'Customizing the confirmation email';
+$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
+<b style=&quot;color: red;&quot;>The text modifiying is available only if the &quot;Confirmation of registration&quot; is enabled.</b>';
+$lang['UAM_confirmgrpTitle'] = 'Validation Groups';
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using validation groups requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
+The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
+$lang['UAM_confirmstatTitle'] = 'Validation Statutes';
+$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of status validation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
+The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
+$lang['UAM_validationlimitTitle'] = 'Deadline for registration validation limited';
+$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.<br><br>
+This option is used in conjunction with the &quot;Confirmation of registration&quot;';
+$lang['UAM_remailTitle'] = 'Remind unvalidated users';
+$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;<br><br>
+2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.<br><br>
+Refer to the &quot;Tracking validations&quot; tab.';
+$lang['UAM_remailtxt1Title'] = 'Reminder email with new key generated';
+$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.<br><br>
+If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example)<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
+<b style=&quot;color: red;&quot;>The text modifiying is available only if &quot;Remind unvalidated users&quot; is enabled.</b>';
+$lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
+$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.<br><br>
+If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example)<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
+<b style=&quot;color: red;&quot;>The text modifiying is available only if &quot;Remind unvalidated users&quot; is enabled.</b>';
+$lang['UAM_ghosttrackerTitle'] = 'Ghost visitors management';
+$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. When the time between 2 visits is reaches, the visitor in question appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email.<br><br>
+<b style=&quot;color: red;&quot;>If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker.</b>';
+$lang['UAM_gttextTitle'] = 'Ghost Tracker\'s reminder message';
+$lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.<br><br>
+<b style=&quot;color: red;&quot;>The text modifiying is available only if &quot;Ghost visitors management&quot; is enabled.</b>';
+$lang['UAM_lastvisitTitle'] = 'Tracking registered users';
+$lang['UAM_lastvisitTitle_d'] = 'This activates a table in the &quot;Tracking users&quot; tab which are registered users listed on the gallery and the date of their last visit and time spent (in days) since their last visit. Monitoring is purely informative for the administrator of the gallery.';
+$lang['UAM_commentTitle'] = 'Nickname mandatory for guests comments';
+$lang['UAM_commentTitle_d'] = 'If &quot;Comments for All&quot; is active (authority to unregistered visitors to post comments), this option allows to force the non-registered visitor to enter a nickname that the comment is accepted.';
+$lang['UAM_tipsTitle'] = 'Tips and Examples';
+$lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
+$lang['UAM_userlistTitle'] = 'Tracking users';
+$lang['UAM_userlistTitle_d'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
+<br><br>
+When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
+<br>
+- <b style=&quot;color: lime;&quot;>Green</b> : When the user has visited the gallery <b style=&quot;color: lime;&quot;><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: orange;&quot;>Orange</b> : When the user has visited the gallery <b style=&quot;color: orange;&quot;><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
+- <b style=&quot;color: red;&quot;>Red</b> : When the user has visited the gallery <b style=&quot;color: red;&quot;><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
+<br>
+Example :
+<br>
+The maximum period of Ghost Tracker is configured to 100 days.
+<br>
+A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
+<br><br>
+<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.';
+$lang['UAM_usermanTitle'] = 'Tracking validations';
+$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration. <br><br>In all cases, it is possible to manually force the validation.<br><br>In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
+<br>
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
+<br>
+- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.';
+$lang['UAM_gtTitle'] = 'Ghost visitors management';
+$lang['UAM_gtTitle_d'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. &quot;x&quot; is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
+<br><br>
+- Manually delete accounts <b>(manual drain)</b>
+<br>
+- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.';
+?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4956)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 4957)
@@ -4,45 +4,4 @@
 
 $conf_UserAdvManager = isset($conf['UserAdvManager']) ? explode(";" , $conf['UserAdvManager']) : array();
-
-
-/* Global Configuration Tab */
-$lang['Tab_Global'] = 'General Setup';
-$lang['UserAdvManager_Mail_Info'] = ' Mail information to user:';
-$lang['UserAdvManager_Mail_Info_true'] = ' Send mail to the user by taking over its connection information when registering or updating their profile.';
-$lang['UserAdvManager_Mail_Info_false'] = ' Turns off the mail sending. (default)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Text used to introduce the email sent to user to allow him to validate his email address<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Mail information user is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-$lang['UserAdvManager_No_Casse'] = ' User name case insensitive';
-$lang['UserAdvManager_No_Casse_false'] = ' Let the user case sensitive. (default)';
-$lang['UserAdvManager_Username_Char'] = ' Limited charset for username';
-$lang['UserAdvManager_Username_Char_false'] = ' Use the default username charset control. (default)';
-$lang['UserAdvManager_Confirm_Mail'] = 'Email address confirmation:';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Send an email to user to allow him to validate his email and his registration.';
-$lang['UserAdvManager_Confirm_Mail_false'] = ' Use the default Piwigo registration system (without registration validation). (default)';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Text used to introduce the email sent to user to allow him to validate his email address<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Email address confirmation is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-$lang['UserAdvManager_Confirm_Group_Notice'] = 'WARNING : Using validation groups requires that you have created at least one user group and is defined "by default" in Piwigo\'s user groups management.';
-$lang['UserAdvManager_No_Confirm_Group'] = 'Group to use for the users who haven\'t validated their email address.';
-$lang['UserAdvManager_Validated_Group'] = 'Group to use for the users who have validated their email address.';
-$lang['UserAdvManager_Confirm_Status_Notice'] = 'WARNING : The use of status validation requires that you have kept the "Guest" user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.';
-$lang['UserAdvManager_No_Confirm_Status'] = 'Status to use for the users who haven\'t validated their email address.';
-$lang['UserAdvManager_Validated_Status'] = 'Status to use for the users who have validated their email address. Let ------- for using default Piwigo values';
-$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' The author field have to be filled to send a comment.';
-$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Use the default Piwigo settings on comments sending. (default)';
-$lang['UserAdvManager_MailExclusion'] = 'Email provider exclusion:';
-$lang['UserAdvManager_MailExclusion_true'] = ' Set the email provider exclusion ON (i.e. : @hotmail.* or @msn.*)';
-$lang['UserAdvManager_MailExclusion_false'] = ' Set the email provider exclusion OFF. (default)';
-$lang['UserAdvManager_MailExclusion_List'] = ' If email provider exclusion is set to ON, fill the email domains to exclude below. You have to use the following format :<br>@[domaine_name].[domaine_extension] - Example : @hotmail.com<br>Seperate the different domains with a comma (,)<br>';
-
-
-/* ConfirmMail Configuration Tab */
-$lang['UserAdvManager_ConfirmMail_Info'] = 'Time limitation for validation of registration :<br>If you enable this option, select the desired time (x) in the field below. Visitors who register will then have x days to validate their registration. After this period the validation link they have received by mail will be expired.<br>';
-$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = 'Enable limiting the registration deadline.';
-$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = 'Disable limiting the registration deadline. (Default)';
-$lang['UserAdvManager_ConfirmMail_TimeOut'] = 'Validation delay :';
-$lang['UserAdvManager_ConfirmMail_Delay_Info'] = 'Enter the number of days before expiry of the registration validation : ';
-$lang['UserAdvManager_ConfirmMail_Remail'] = 'Enable or disable email reminder of unvalidated registers :';
-$lang['UserAdvManager_ConfirmMail_Remail_true'] = 'Enable email reminder';
-$lang['UserAdvManager_ConfirmMail_Remail_false'] = 'Disable email reminder. (Default)';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Custom content of the reminder message with regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
-$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Custom content of the reminder message without regeneration of validation key.<br>If left blank, the reminder email will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled at the plugin installation is given as an example)<br><br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if email reminder is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
 
 
@@ -55,10 +14,5 @@
 $lang['User: %s'] = 'User : %s';
 $lang['Password: %s'] = 'Password: %s';
-$lang['Add of %s'] = 'Add of %s';
-$lang['Update of %s'] = 'Update of %s';
 $lang['Link: %s'] = 'Please, click on this link to confirm your registration : %s';
-$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
-$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
-$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
 
 
@@ -67,5 +21,4 @@
 $lang['confirm_mail_page_title'] = 'Validate your registration';
 $lang['confirm_mail_ok'] = '<br><br><br>Thank you to have confirmed your email address and your registration on the gallery. Have fun !<br><br><br><br>';
-$lang['confirm_mail_bad'] = '<br><br><br>Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.<br><br><br><br>';
 
 
@@ -84,6 +37,4 @@
 $lang['UserAdvManager_no_update_pwd'] = '[profile updated without password changed]';
 $lang['invalid_pwd'] = 'Invalid username or password !';
-$lang['Err_ConfirmMail_Settings'] = 'This page will be available only if "Email address confirmation" is activated in "General Setup" tab.';
-$lang['Err_UserManager_Settings'] = 'This page is available only if "Enable limiting the registration deadline" is active in the "ConfirmMail Settings" tab and an unvalidated users group is set in "General Setup" tab.';
 $lang['No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
 $lang['No_validation_for_default_user'] = 'The default account is not subject to validation';
@@ -107,5 +58,4 @@
 $lang['Mail_with_key'] = 'Reminder with key';
 $lang['Force_Validation'] = 'Forced validation';
-$lang['Reminder_Email'] = 'Email reminder';
 
 
@@ -114,27 +64,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['UserAdvManager_Title1'] = 'Users registration management';
-$lang['UserAdvManager_Title2'] = 'Registration validation and groups / status management';
-$lang['UserAdvManager_Password_Enforced'] = 'Strengthening passwords - Enabling this option makes the seizure of the password required for visitors registration. Also, the password entered by the visitor will meet with a score of complexity (<b style="color: green;">activate and save settings to display more informations</b>).';
-$lang['UserAdvManager_Password_Enforced_Info'] = '<b style="text-decoration: underline; color: green;">Explanations:</b> <b style="color: green;">A password score is calculated on the basic parameters: length, type of characters used (letters, digits, uppercase, lowercase, special characters). If the password of the user does not score, the score reached is displayed with the minimal score to reach and an indication to increase the value of this score. To give you an idea, a score below 100 is considered "low complexity". Between 100 and 500, the complexity is increased and average. Beyond 500, that\'s Fort Knox! ;-)<br>You can do your passwords complexity tests by using the field below. This will allow you to get an idea of the score to define a custom complexity.</b>';
-$lang['UserAdvManager_PasswordTest'] = 'Password to test : ';
-$lang['UserAdvManager_ScoreTest'] = 'Score : ';
 $lang['PasswordTest'] = 'Score calculation';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Strong password required - Enter the minimum score (floor value) of passwords complexity == ';
-$lang['UserAdvManager_Password_Enforced_false'] = ' Do not strengthen passwords. (default)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Apply also the passwords complexity control when an administrator create a user? Note: If the created user wishes to change his password and strengthening passwords for users is active, he will be subject to the rules set.';
-$lang['UserAdvManager_AdminPassword_Enforced_true'] = 'Enable strengthening passwords for admins.';
-$lang['UserAdvManager_AdminPassword_Enforced_false'] = 'Disable strengthening passwords for admins. (default)';
-$lang['UserAdvManager_GhostTracker'] = 'Ghost Tracker - Allows to manage registered users according their last visit date :';
-$lang['UserAdvManager_GhostTracker_true'] = ' Enable Ghost Tracker.';
-$lang['UserAdvManager_GhostTracker_false'] = ' Disable Ghost Tracker. (Default)';
-$lang['UserAdvManager_GhostTracker_DayLimit'] = ' Type in here the maximum limit, in days, between two visits of a visitor. When this limit is reached, this visitor will appear in the table on "Ghost Tracker" tab.';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Text used in the email reminder sent to encourage visitors to come back to the gallery (NB: The text pre-filled at the plugin installation is given as an example).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">WARNING !</b> <b style="color: red;">Text modification is available ONLY if Ghost Tracker is enabled. Use the multi language tags from Extended Description plugin if this plugin is activated !!!)</b>';
 /* Ghost Tracker Tab */
-$lang['GhostTracker_Title'] = 'Advanced ghost visitors management';
-$lang['Title_Tab4'] = 'UserAdvManager - Ghost Tracker';
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
 $lang['LastVisit_Date'] = 'Last visit';
-$lang['Ghost_Reminder'] = 'Email reminder';
+$lang['Reminder'] = 'Email reminder';
 $lang['Reminder_Sent_OK'] = 'YES';
 $lang['Reminder_Sent_NOK'] = 'NO';
@@ -151,5 +83,4 @@
 $lang['No_reminder_for_Webmaster'] = 'The "Webmaster" account is not subject to receive reminders from GhostTracker';
 $lang['No_reminder_for_your_account'] = 'You personnal admin account is not subject to receive reminders from GhostTracker';
-$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in the "General Setup" tab.';
 /* Action button names */
 $lang['audit'] = 'Audit settings';
@@ -157,15 +88,6 @@
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
-/* Global Configuration Tab */
-$lang['UserAdvManager_GhostTracker_Notice'] = 'When the Ghost Tracker feature is enabled, you can manage your visitors depending on the frequency of their visits. <b style="color: red;">IMPORTANT : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, visit the Ghost Tracker tab and follow the instructions for Ghost Tracker initialization.</b>';
-/* Ghost Tracker Tab */
-$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
-$lang['UserAdvManager_GhostTracker_User_List'] = 'When Ghost Tracker is enabled and initialized, you will find below the list of registered visitors who have not returned since x days. "x" is the number of days configured in the General Setup tab. In addition, you will find a column indicating whether an email reminder has been sent to targeted visitors. So, you can see at a glance and treat visitors who have not taken account of the reminder.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>with resetting the last visit date</b>. This allows to give a wildcard to targeted visitors. If the visitor has already received a reminder, nothing prevents to resent a new mail which will reset again, in fact, the last visit date.
-<br>';
 /* Errors and Warnings */
 $lang['GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
@@ -174,8 +96,4 @@
 // --------- End: New or revised $lang ---- from version 2.12.2
 
-// --------- Starting below: New or revised $lang ---- from version 2.12.6
-/* Global Configuration Tab */
-$lang['UserAdvManager_No_Casse_true'] = ' Make the user account case insensitive at the registration and the identification step (USER = user = User = usER...).';
-// --------- End: New or revised $lang ---- from version 2.12.6
 
 // --------- Starting below: New or revised $lang ---- from version 2.12.7
@@ -184,4 +102,5 @@
 // --------- End: New or revised $lang ---- from version 2.12.7
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.12.8
 /* Errors and Warnings */
@@ -189,61 +108,157 @@
 // --------- End: New or revised $lang ---- from version 2.12.8
 
+
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
+/* UserList Tab */
+$lang['UserList_Title'] = 'Monitoring registered users';
+$lang['Nb_Days'] = 'Number of days<br>since last visit';
+// --------- End: New or revised $lang ---- from version 2.13.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.13.4
+$lang['uam_no_unlink'] = '\'unlink\' function is not available';
+$lang['uam_unlink_errors'] = 'Errors occurred when deleting files';
 /* Global Configuration Tab */
-$lang['UserAdvManager_Add_LastVisit_Column'] = ' View user monitoring record (date of last visit, time spent (in days) since their last visit ,...). Monitoring is purely informative for the administrator of the gallery.';
-$lang['UserAdvManager_Add_LastVisit_Column_true'] = ' Enable user monitoring list.';
-$lang['UserAdvManager_Add_LastVisit_Column_false'] = ' Disable user monitoring list (Default).';
-/* ConfirmMail Configuration Tab */
-$lang['ConfirmMail_Title'] = 'Advanced settings for validation of registries';
-$lang['Tab_ConfirmMail'] = 'Register validation settings';
+$lang['Title_Tab'] = 'UserAdvManager - Version : ';
+$lang['SubTitle1'] = 'Plugin configuration';
+$lang['Tab_Global'] = 'Configuration';
+$lang['UserAdvManager_Title1'] = 'Setting restrictions for registrations';
+$lang['UserAdvManager_Title2'] = 'Setting confirmations and validations of registration';
+$lang['UserAdvManager_Title3'] = 'Setting the registration followed and other options';
+$lang['UserAdvManager_Title4'] = 'Tips and examples of use';
+$lang['UserAdvManager_No_Casse'] = 'Usernames: Case sensitivity';
+$lang['UserAdvManager_No_Casse_true'] = ' Enable';
+$lang['UserAdvManager_No_Casse_false'] = ' Disable (défault)';
+$lang['UserAdvManager_Username_Char'] = 'Usernames: Exclusion of characters';
+$lang['UserAdvManager_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
+$lang['UserAdvManager_Username_Char_false'] = ' Permit all (default)';
+$lang['UserAdvManager_Password_Enforced'] = 'Strengthening the security level of passwords';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Enable. Minimum Score: ';
+$lang['UserAdvManager_Password_Enforced_false'] = ' Disable (défault)';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Applying to administrators';
+$lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Enable';
+$lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Disable (default)';
+$lang['UserAdvManager_PasswordTest'] = 'Password test: ';
+$lang['UserAdvManager_ScoreTest'] = 'Result: ';
+$lang['UserAdvManager_MailExclusion'] = 'Exclusion of mail domains';
+$lang['UserAdvManager_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
+$lang['UserAdvManager_MailExclusion_false'] = ' Disable (default)';
+
+$lang['UserAdvManager_Mail_Info'] = 'Information email to user:';
+$lang['UserAdvManager_Mail_Info_true'] = ' Enable';
+$lang['UserAdvManager_Mail_Info_false'] = ' Disable (défault)';
+$lang['UserAdvManager_MailInfo_Text'] = ' Customizing the information email:';
+$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation of registration:';
+$lang['UserAdvManager_Confirm_Mail_true'] = ' Enable';
+$lang['UserAdvManager_Confirm_Mail_false'] = ' Disable (défault)';
+$lang['UserAdvManager_ConfirmMail_Text'] = ' Customizing the confirmation email:';
+$lang['UserAdvManager_Confirm_Group'] = 'Validation Groups';
+$lang['UserAdvManager_Confirm_Status'] = 'Validation Statutes';
+$lang['UserAdvManager_No_Confirm_Group'] = 'Group for users who have not validated their registration<br>';
+$lang['UserAdvManager_Validated_Group'] = 'Group for users who have validated their registration<br>';
+$lang['UserAdvManager_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
+$lang['UserAdvManager_Validated_Status'] = 'Status for users who have validated their registration.<br>(leave ------- to keep the Piwigo\'s default)<br>';
+$lang['UserAdvManager_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
+$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Disable (défault)';
+$lang['UserAdvManager_ConfirmMail_Remail'] = 'Remind unvalidated users';
+$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Enable';
+$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Disable (défault)';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
+$lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+
+$lang['UserAdvManager_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
+$lang['UserAdvManager_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
+$lang['UserAdvManager_GhostTracker_false'] = ' Disable (défault)';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
+$lang['UserAdvManager_LastVisit'] = ' Tracking registered users';
+$lang['UserAdvManager_LastVisit_true'] = ' Enable';
+$lang['UserAdvManager_LastVisit_false'] = ' Disable (défault)';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
+$lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Enable';
+$lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Disable (défault)';
+
+$lang['UserAdvManager_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
+$lang['UserAdvManager_Tips1_txt'] = '
+          <ul>
+            <li>
+Ingredients needed:<br>
+- 2 user groups Piwigo at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin<br>
+- Possibly Extended Description plugin (to support multi-lingual)
+            </li>
+<br><br>
+            <li>
+La recette :<br>
+            <ul>
+              <li>
+Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
+              </li>
+              <li>
+Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
+              </li>
+              <li>
+Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
+              </li>
+              <li>
+In NBC_UAM plugin:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
+                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
+                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
+                <li>Save the plugin configuration</li>
+              </ol>
+              </li>
+<br><br>
+              <li>
+In PWG Stuff plugin:
+              <ol>
+                <li>Add a new module personal block like an edito</li>
+                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
+                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
+                <li>Validate module</li>
+                <li>Define its place on the main page of the gallery</li>
+              </ol>
+              </li>
+            </ul>
+            </li>
+<br><br>
+            <li>
+              The result:<br>
+              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
+              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
+              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
+              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
+            </li>
+          </ul>';
+
+$lang['Tab_UserManager'] = 'Tracking validations';
+
+/* UserManager Tab */
+$lang['SubTitle3'] = 'Tracking validations';
+$lang['UserManager_Title'] = 'Tracking validations';
+/* Ghost Tracker Tab */
+$lang['SubTitle4'] = 'Ghost Tracker';
+$lang['GT_Init'] = 'Initializing Ghost Tracker';
+$lang['GhostTracker_Title'] = 'Ghost visitors management';
+$lang['UserAdvManager_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
 /* UserList Tab */
-$lang['Title_Tab5'] = 'UserAdvManager - User Information';
-$lang['UserList_Title'] = 'Monitoring registered users';
-$lang['Tab_UserList'] = 'Monitor users';
-$lang['UserAdvManager_User_List'] = 'This page is for information to the administrator. It displays a list of all users registered on the gallery showing the date and number of days since their last visit. The list is sorted in ascending order of number of days.
-<br><br>
-When the Ghost Tracker is active, the number of days without a visit appears as the following color code, according to the maximum set in the Ghost Tracker options:
-<br>
-- <b style="color: lime;">Green</b> : When the user has visited the gallery <b style="color: lime;"><u>less than 50%</u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: orange;">Orange</b> : When the user has visited the gallery <b style="color: orange;"><u> between 50% and 99% </u></b> of the maximum indicated in the Ghost Tracker.<br>
-- <b style="color: red;">Red</b> : When the user has visited the gallery <b style="color: red;"><u>for more than 100%</u></b> of the maximum indicated in the Ghost Tracker. <b><u>In this case, the user must also appear in the Ghost Tracker table.</u></b><br>
-<br>
-Example :
-<br>
-The maximum period of Ghost Tracker is configured to 100 days.
-<br>
-A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
-<br><br>
-<b>NOTE</b> : The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the "Validation management".';
-$lang['Nb_Days'] = 'Number of days<br>since last visit';
-/* UserManager Tab */
-$lang['UserAdvManager_ConfirmMail_User_List'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style="text-decoration: underline;">whether or not</b> they are in time to validate.<br><br>The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration. <br><br>In all cases, it is possible to manually force the validation.<br><br>In this view, you can:
-<br><br>
-- Manually delete accounts <b>(manual drain)</b>
-<br>
-- Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
-<br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
-<br>';
-$lang['UserManager_Title'] = 'Advanced management of unvalidated';
-$lang['Title_Tab3'] = 'UserAdvManager - Management of registration validations';
-$lang['Tab_UserManager'] = 'Validations management';
-/* Ghost Tracker Tab */
-$lang['Reminder'] = 'Email Reminder';
-/* Errors and Warnings */
-$lang['Err_Userlist_Settings'] = 'This page is available only if "Users monitoring" is active in the "General Setup" tab.';
+$lang['SubTitle5'] = 'Tracking users';
+$lang['Tab_UserList'] = 'Tracking users';
+/* Mailing */
+$lang['Add of %s'] = 'Profile created for %s';
+$lang['Update of %s'] = 'Update profile %s';
+/* Email confirmation page */
+$lang['confirm_mail_bad'] = '<br><br><br>Your activation key is incorrect or expired or you have already validated your account, please contact the webmaster to fix this problem.<br><br><br><br>';
+/* Mailing */
+$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
+$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
+$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+/* Errors and Warnings */
+$lang['Err_UserManager_Settings'] = 'This page is available only if "Deadline for registration validation limited" is active and an unvalidated users group is set in "Setting confirmations and validations of registration".';
+$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registration followed and other options".';
+$lang['Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registration followed and other options".';
 // --------- End: New or revised $lang ---- from version 2.13.0
-// --------- Starting below: New or revised $lang ---- from version 2.13.1
-/* Global Configuration Tab */
-$lang['Title_Tab1'] = 'UserAdvManager 2.13.1 - General Setup';
-/* ConfirmMail Configuration Tab */
-$lang['Title_Tab2'] = 'UserAdvManager 2.13.1 - Register validation settings';
-// --------- End: New or revised $lang ---- from version 2.13.1
-// --------- Starting below: New or revised $lang ---- from version 2.13.3
-/* Global Configuration Tab */
-$lang['UserAdvManager_Username_Char_true'] = ' The following characters <b style="color: green;">(separate values with commas ","!)</b> will be forbidden for username choice == ';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Nickname are mandatory for comments. <b style="color: red;">Enable this only if you have given permission for non-registered visitors to post comments (Piwigo\'s admin panel > Settings > General, Comments tab> "Comments for all")</b>';
-// --------- End: New or revised $lang ---- from version 2.13.3
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 4956)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 4957)
@@ -26,13 +26,13 @@
 ...
 ';
-$lang['UAM_casenTitle'] = 'Sensibilité à la casse des noms d\'utilisateurs';
+$lang['UAM_casenTitle'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
 $lang['UAM_casenTitle_d'] = 'Par défaut, Piwigo est insensible à la casse : majuscules et minuscules sont considérées comme des lettres différentes dans les noms choisis par les utilisateurs à l\'inscription. Ainsi, &quot;Toto&quot;,  &quot;toto&quot; et &quot;TOTO&quot; peuvent être 3 utilisateurs différents.<br><br>
 L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.<br><br>
 <b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
-$lang['UAM_carexcTitle'] = 'Exclusion de caractères dans les noms d\'utilisateurs';
+$lang['UAM_carexcTitle'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
 $lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un &quot;@&quot;). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
 <br><br>
 <b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
-$lang['UAM_passwTitle'] = 'Renforcement de la sécurité des mots de passe';
+$lang['UAM_passwTitle'] = 'Renforcement du niveau de sécurité des mots de passe';
 $lang['UAM_passwTitle_d'] = 'L\'activation de cette option rend obligatoire la saisie d\'un mot de passe  à l\'inscription, et oblige le mot de passe choisi par le visiteur à répondre à un niveau minimum de complexité. Si ce seuil n\'est pas atteint, le score réalisé et le score minimum à atteindre sont affichés, ainsi que des recommandations pour augmenter la valeur de ce score.<br><br>
 Un champ de test permet de mesurer la complexité d\'un mot de passe, et peut permettre de se faire une idée du score à définir pour une complexité personnalisée.<br><br>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4956)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4957)
@@ -37,5 +37,4 @@
 $lang['UserAdvManager_no_update_pwd'] = '[mise à jour du profil sans changement du mot de passe]';
 $lang['invalid_pwd'] = 'Nom utilisateur ou Mot de passe invalide !';
-$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Délai de validation d\'inscription" est actif dans l\'onglet "Configuration de ConfirmMail" et si un groupe de visiteurs non validés est configuré dans l\'onglet "Configuration Générale".';
 $lang['No_validation_for_Guest'] = 'Le compte Guest n\'est pas soumis à validation';
 $lang['No_validation_for_default_user'] = 'Le compte par défaut n\'est pas soumis à validation';
@@ -84,9 +83,7 @@
 $lang['No_reminder_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à recevoir des rappels du GhostTracker';
 $lang['No_reminder_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à recevoir des rappels du GhostTracker';
-$lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans l\'onglet "Configuration Générale".';
 /* Action button names */
 $lang['audit'] = 'Auditer les paramètres';
 $lang['submit'] = 'Sauvegarder les paramètres';
-$lang['Reminder_Email'] = 'Email de rappel';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
@@ -117,8 +114,4 @@
 $lang['Tab_UserList'] = 'Suivi des utilisateurs';
 $lang['Nb_Days'] = 'Nb de jours<br>depuis dernière visite';
-/* Ghost Tracker Tab */
-$lang['Reminder'] = 'Email de rappel';
-/* Errors and Warnings */
-$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "suivi des utilisateur" est actif dans l\'onglet "Configuration Générale".';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
@@ -126,7 +119,7 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.4
 $lang['uam_no_unlink'] = 'La fonction \'unlink\' n\'est pas disponible';
-$lang['uam_unlink_errors'] = 'Des erreurs ont eu lieu lors de la suppression de fichiers';
+$lang['uam_unlink_errors'] = 'Des erreurs ont eu lieu lors de la suppression des fichiers';
 /* Global Configuration Tab */
-$lang['Title_Tab'] = 'UserAdvManager - Version : ';
+$lang['Title_Tab'] = 'UserAdvManager - Version: ';
 $lang['SubTitle1'] = 'Configuration du plugin';
 $lang['Tab_Global'] = 'Configuration';
@@ -139,26 +132,26 @@
 $lang['UserAdvManager_No_Casse_false'] = ' Désactiver (valeur par défaut)';
 $lang['UserAdvManager_Username_Char'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
-$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères :<br>(utiliser une virgule pour séparer chaque caractère du suivant)<br><br>';
+$lang['UserAdvManager_Username_Char_true'] = ' Interdire les caractères:<br>(utiliser une virgule pour séparer chaque caractère du suivant)<br><br>';
 $lang['UserAdvManager_Username_Char_false'] = ' Tout autoriser (valeur par défaut)';
 $lang['UserAdvManager_Password_Enforced'] = 'Renforcement du niveau de sécurité des mots de passe';
-$lang['UserAdvManager_Password_Enforced_true'] = ' Activer. Score minimum : ';
+$lang['UserAdvManager_Password_Enforced_true'] = ' Activer. Score minimum: ';
 $lang['UserAdvManager_Password_Enforced_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_AdminPassword_Enforced'] = 'Application aux administrateurs.';
+$lang['UserAdvManager_AdminPassword_Enforced'] = 'Application aux administrateurs';
 $lang['UserAdvManager_AdminPassword_Enforced_true'] = ' Activer';
 $lang['UserAdvManager_AdminPassword_Enforced_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_PasswordTest'] = 'Mot de passe test : ';
-$lang['UserAdvManager_ScoreTest'] = 'Résultat : ';
+$lang['UserAdvManager_PasswordTest'] = 'Mot de passe test: ';
+$lang['UserAdvManager_ScoreTest'] = 'Résultat: ';
 $lang['UserAdvManager_MailExclusion'] = 'Exclusion des domaines de messagerie';
-$lang['UserAdvManager_MailExclusion_true'] = ' Exclure les domaines suivants :<br>(utiliser une virgule pour séparer chaque domaine du suivant)';
+$lang['UserAdvManager_MailExclusion_true'] = ' Exclure les domaines suivants:<br>(utiliser une virgule pour séparer chaque domaine du suivant)';
 $lang['UserAdvManager_MailExclusion_false'] = ' Désactiver (valeur par défaut)';
 
-$lang['UserAdvManager_Mail_Info'] = 'Email d\'information à l\'utilisateur :';
+$lang['UserAdvManager_Mail_Info'] = 'Email d\'information à l\'utilisateur:';
 $lang['UserAdvManager_Mail_Info_true'] = ' Activer';
 $lang['UserAdvManager_Mail_Info_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_MailInfo_Text'] = ' Personnalisation de l\'email d\'information :';
-$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation d\'inscription :';
+$lang['UserAdvManager_MailInfo_Text'] = ' Personnalisation de l\'email d\'information:';
+$lang['UserAdvManager_Confirm_Mail'] = 'Confirmation d\'inscription:';
+$lang['UserAdvManager_Confirm_Mail_true'] = ' Activer';
 $lang['UserAdvManager_Confirm_Mail_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_Confirm_Mail_true'] = ' Activer';
-$lang['UserAdvManager_ConfirmMail_Text'] = ' Personnalisation de l\'email confirmation :';
+$lang['UserAdvManager_ConfirmMail_Text'] = ' Personnalisation de l\'email confirmation:';
 $lang['UserAdvManager_Confirm_Group'] = 'Groupes de validation';
 $lang['UserAdvManager_Confirm_Status'] = 'Statuts de validation';
@@ -166,11 +159,11 @@
 $lang['UserAdvManager_Validated_Group'] = 'Groupe pour les utilisateurs ayant validé leur inscription<br>';
 $lang['UserAdvManager_No_Confirm_Status'] = 'Statuts pour les utilisateurs n\'ayant pas validé leur inscription<br>';
-$lang['UserAdvManager_Validated_Status'] = 'Statuts pour les utilisateurs ayant validé leur inscription.<br>(laissez ------- pour garder la valeur par défaut de PWG)<br>';
+$lang['UserAdvManager_Validated_Status'] = 'Statuts pour les utilisateurs ayant validé leur inscription.<br>(laissez ------- pour garder la valeur par défaut de Piwigo)<br>';
 $lang['UserAdvManager_ValidationLimit_Info'] = 'Délai de validation d\'inscription limité';
-$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = 'Activer. Nombre de jours avant expiration: ';
-$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = 'Désactiver (valeur par défaut)';
+$lang['UserAdvManager_ConfirmMail_TimeOut_true'] = ' Activer. Nombre de jours avant expiration: ';
+$lang['UserAdvManager_ConfirmMail_TimeOut_false'] = ' Désactiver (valeur par défaut)';
 $lang['UserAdvManager_ConfirmMail_Remail'] = 'Rappel des inscrits non validés';
-$lang['UserAdvManager_ConfirmMail_Remail_true'] = 'Activer';
-$lang['UserAdvManager_ConfirmMail_Remail_false'] = 'Désactiver (valeur par défaut)';
+$lang['UserAdvManager_ConfirmMail_Remail_true'] = ' Activer';
+$lang['UserAdvManager_ConfirmMail_Remail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt1'] = 'Personnalisation du message de rappel <b><u>avec</u></b> regénération de clé de validation.';
 $lang['UserAdvManager_ConfirmMail_ReMail_Txt2'] = 'Personnalisation du message de rappel <b><u>sans</u></b> regénération de clé de validation.';
@@ -179,9 +172,9 @@
 $lang['UserAdvManager_GhostTracker_true'] = ' Activer. Délai maximum, en jours, entre deux visites: ';
 $lang['UserAdvManager_GhostTracker_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_GhostTracker_ReminderText'] = ' Personnalisation du message de rappel Ghost Tracker.';
-$lang['UserAdvManager_LastVisit'] = ' Suivi des utilisateurs inscrits.';
+$lang['UserAdvManager_GhostTracker_ReminderText'] = 'Personnalisation du message de rappel Ghost Tracker';
+$lang['UserAdvManager_LastVisit'] = ' Suivi des utilisateurs inscrits';
 $lang['UserAdvManager_LastVisit_true'] = ' Activer';
 $lang['UserAdvManager_LastVisit_false'] = ' Désactiver (valeur par défaut)';
-$lang['UserAdvManager_No_Comment_Anonymous'] = 'Pseudo obligatoire sur commentaire pour les visiteurs.';
+$lang['UserAdvManager_No_Comment_Anonymous'] = 'Pseudo obligatoire sur commentaire pour les visiteurs';
 $lang['UserAdvManager_No_Comment_Anonymous_true'] = ' Activer';
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Désactiver (valeur par défaut)';
@@ -192,5 +185,5 @@
             <li>
 Les ingrédients nécessaires:<br>
-- 2 groupes d\'utilisateurs Piwigo au minimum : &quot;Attente&quot; pour les visiteur en attente de validation et &quot;Validés&quot; pour les visiteurs ayant validé leur inscription<br>
+- 2 groupes d\'utilisateurs Piwigo au minimum: &quot;Attente&quot; pour les visiteur en attente de validation et &quot;Validés&quot; pour les visiteurs ayant validé leur inscription<br>
 - Le plugin NBC_UAM<br>
 - Le plugin PWG Stuffs<br>
@@ -199,8 +192,8 @@
 <br><br>
             <li>
-La recette :<br>
+La recette:<br>
             <ul>
               <li>
-Préambule : On se place dans le cas d\'une galerie privée ou semi-privée (c\'est à dire qu\'une petite partie des catégories est accessible par les Guests et que les inscrits peuvent tout voir). On considère que les plugins requis sont installés (faut-il le rappeler ?).<br><br>
+Préambule: On se place dans le cas d\'une galerie privée ou semi-privée (c\'est à dire qu\'une petite partie des catégories est accessible par les Guests et que les inscrits peuvent tout voir). On considère que les plugins requis sont installés (faut-il le rappeler ?).<br><br>
               </li>
               <li>
@@ -211,5 +204,5 @@
               </li>
               <li>
-Dans le plugin NBC_UAM :
+Dans le plugin NBC_UAM:
               <ol>
                 <li>Activer la confirmation d\'inscription</li>
@@ -222,5 +215,5 @@
 <br><br>
               <li>
-Dans le plugin PWG Stuff :
+Dans le plugin PWG Stuff:
               <ol>
                 <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
@@ -235,5 +228,5 @@
 <br><br>
             <li>
-              Le résultat :<br>
+              Le résultat:<br>
               - Un &quot;Guest&quot; arrive sur la galerie, il ne voit rien d\'autre que les catégories publiques et pas de message d\'information.<br>
               - Il s\'inscrit. Ce qui génère un email de validation et son appartenance automatique au groupe &quot;Attente&quot;.<br>
@@ -243,8 +236,5 @@
           </ul>';
 
-
 $lang['Tab_UserManager'] = 'Suivi des validations';
-
-$lang['UserAdvManager_GhostTracker_ReminderSubject'] = 'Sujet dans le mail de rappel envoyé à l\'utilisateur pour l\'inciter à revenir visiter la galerie (NB: Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple).<br><b style="color: red;">(!!! </b><b style="text-decoration: underline; color: red;">ATTENTION !</b> <b style="color: red;">La modification du texte n\'est possible <b>QUE</b> si la gestion des visiteurs fantômes est activée. Utilisez la méthode multi language du plugin Extended Description si celui-ci est activé !!!)</b>';
 
 /* UserManager Tab */
@@ -255,7 +245,7 @@
 $lang['GT_Init'] = 'Initialisation du Ghost Tracker';
 $lang['GhostTracker_Title'] = 'Gestion des visiteurs fantômes';
-$lang['UserAdvManager_GhostTracker_Init'] = 'Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, il faut initialiser ou réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule fois après activation ou réactivation de l\'option. Veuillez cliquer <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.</b>';
+$lang['UserAdvManager_GhostTracker_Init'] = 'Si vous avez activé cette fonction pour la première fois ou que vous l\'avez réactivée après une longue période de désactivation pendant laquelle de nouveaux visiteurs se sont inscrits, il faut initialiser ou réinitialiser le Ghost Tracker. Cette action n\'est à faire qu\'une seule fois après activation ou réactivation de l\'option. Veuillez cliquer <u>une seule fois</u> sur le bouton d\'initialisation ci-dessous.';
 /* UserList Tab */
-$lang['SubTitle5'] = 'Informations sur les utilisateurs';
+$lang['SubTitle5'] = 'Suivi des utilisateurs';
 /* Mailing */
 $lang['Add of %s'] = 'Profil créé pour %s';
@@ -267,4 +257,8 @@
 $lang['Reminder_with_key_of_%s'] = '%s, votre clef de validation a expiré';
 $lang['Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
+/* Errors and Warnings */
+$lang['Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Délai de validation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+$lang['Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
+$lang['Err_Userlist_Settings'] = 'Cette page n\'est accessible que si le "Suivi des utilisateurs inscrits" est actif dans "Paramétrage des suivis des inscrits et autres options".';
 // --------- End: New or revised $lang ---- from version 2.13.4
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 4956)
+++ /extensions/NBC_UserAdvManager/trunk/main.inc.php	(revision 4957)
@@ -3,5 +3,5 @@
 Plugin Name: NBC UserAdvManager
 Version: 2.13.4
-Description: Renforcer les possibilités de gestion des utilisateurs - Enforce users management
+Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
 Author: Nicco, Eric
